### Hierarchy

- Array<TableItem>
  - TableRow

### Indexable

[n: number]: TableItem

## Index

### Properties

- disabled
- length
- Array

### Methods

- __@iterator
- __@unscopables
- concat
- copyWithin
- entries
- every
- fill
- filter
- find
- findIndex
- forEach
- includes
- indexOf
- join
- keys
- lastIndexOf
- map
- pop
- push
- reduce
- reduceRight
- reverse
- shift
- slice
- some
- sort
- splice
- toLocaleString
- toString
- unshift
- values

## Properties

### disabled

disabled: boolean = false

- Defined in src/table/table-row.class.ts:10

### length

length: number

Inherited from Array.length

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1199

### Static Array

Array: ArrayConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1358

## Methods

### __@iterator

- __@iterator(): IterableIterator<TableItem>

- Inherited from Array.[Symbol.iterator]

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:52

  #### Returns IterableIterator<TableItem>

### __@unscopables

- __@unscopables(): object

- Inherited from Array.[Symbol.unscopables]

  - Defined in node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:94

  #### Returns object

  - ##### copyWithin: boolean

  - ##### entries: boolean

  - ##### fill: boolean

  - ##### find: boolean

  - ##### findIndex: boolean

  - ##### keys: boolean

  - ##### values: boolean

### concat

- concat(items: ConcatArray<TableItem>[]): TableItem[]
- concat(items: (T | ConcatArray<T>)[]): TableItem[]

- Inherited from Array.concat

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1221

  #### Parameters

  - ##### Rest items: ConcatArray<TableItem>[]

  #### Returns TableItem[]

- Inherited from Array.concat

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1226

  #### Parameters

  - ##### Rest items: (T | ConcatArray<T>)[]

  #### Returns TableItem[]

### copyWithin

- copyWithin(target: number, start: number, end: number): this

- Inherited from Array.copyWithin

  - Defined in node_modules/typescript/lib/lib.es2015.core.d.ts:64

  #### Parameters

  - ##### target: number

  - ##### start: number

  - ##### Optional end: number

  #### Returns this

### entries

- entries(): IterableIterator<[number, TableItem]>

- Inherited from Array.entries

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:57

  #### Returns IterableIterator<[number, TableItem]>

### every

- every(callbackfn: function, thisArg: any): boolean

- Inherited from Array.every

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1286

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): boolean

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns boolean

### fill

- fill(value: TableItem, start: number, end: number): this

- Inherited from Array.fill

  - Defined in node_modules/typescript/lib/lib.es2015.core.d.ts:53

  #### Parameters

  - ##### value: TableItem

  - ##### Optional start: number

  - ##### Optional end: number

  #### Returns this

### filter

- filter<S>(callbackfn: function, thisArg: any): S[]
- filter(callbackfn: function, thisArg: any): TableItem[]

- Inherited from Array.filter

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1310

  #### Type parameters

  - #### S: TableItem

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): boolean

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns S[]

- Inherited from Array.filter

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1316

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): any

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns any

  - ##### Optional thisArg: any

  #### Returns TableItem[]

### find

- find<S>(predicate: function, thisArg: any): S | undefined
- find(predicate: function, thisArg: any): TableItem | undefined

- Inherited from Array.find

  - Defined in node_modules/typescript/lib/lib.es2015.core.d.ts:31

  #### Type parameters

  - #### S: TableItem

  #### Parameters

  - ##### predicate: function

    - - (this: void, value: TableItem, index: number, obj: TableItem[]): boolean

      - #### Parameters

        - ##### this: void

        - ##### value: TableItem

        - ##### index: number

        - ##### obj: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns S | undefined

- Inherited from Array.find

  - Defined in node_modules/typescript/lib/lib.es2015.core.d.ts:32

  #### Parameters

  - ##### predicate: function

    - - (value: TableItem, index: number, obj: TableItem[]): boolean

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### obj: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns TableItem | undefined

### findIndex

- findIndex(predicate: function, thisArg: any): number

- Inherited from Array.findIndex

  - Defined in node_modules/typescript/lib/lib.es2015.core.d.ts:43

  #### Parameters

  - ##### predicate: function

    - - (value: TableItem, index: number, obj: TableItem[]): boolean

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### obj: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns number

### forEach

- forEach(callbackfn: function, thisArg: any): void

- Inherited from Array.forEach

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1298

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): void

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### includes

- includes(searchElement: TableItem, fromIndex: number): boolean

- Inherited from Array.includes

  - Defined in node_modules/typescript/lib/lib.es2016.array.include.d.ts:27

  #### Parameters

  - ##### searchElement: TableItem

  - ##### Optional fromIndex: number

  #### Returns boolean

### indexOf

- indexOf(searchElement: TableItem, fromIndex: number): number

- Inherited from Array.indexOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1274

  #### Parameters

  - ##### searchElement: TableItem

  - ##### Optional fromIndex: number

  #### Returns number

### join

- join(separator: string): string

- Inherited from Array.join

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1231

  #### Parameters

  - ##### Optional separator: string

  #### Returns string

### keys

- keys(): IterableIterator<number>

- Inherited from Array.keys

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:62

  #### Returns IterableIterator<number>

### lastIndexOf

- lastIndexOf(searchElement: TableItem, fromIndex: number): number

- Inherited from Array.lastIndexOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1280

  #### Parameters

  - ##### searchElement: TableItem

  - ##### Optional fromIndex: number

  #### Returns number

### map

- map<U>(callbackfn: function, thisArg: any): U[]

- Inherited from Array.map

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1304

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): U

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns U

  - ##### Optional thisArg: any

  #### Returns U[]

### pop

- pop(): TableItem | undefined

- Inherited from Array.pop

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1211

  #### Returns TableItem | undefined

### push

- push(items: TableItem[]): number

- Inherited from Array.push

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1216

  #### Parameters

  - ##### Rest items: TableItem[]

  #### Returns number

### reduce

- reduce(callbackfn: function): TableItem
- reduce(callbackfn: function, initialValue: TableItem): TableItem
- reduce<U>(callbackfn: function, initialValue: U): U

- Inherited from Array.reduce

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1322

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: TableItem, currentValue: TableItem, currentIndex: number, array: TableItem[]): TableItem

      - #### Parameters

        - ##### previousValue: TableItem

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns TableItem

- Inherited from Array.reduce

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1323

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: TableItem, currentValue: TableItem, currentIndex: number, array: TableItem[]): TableItem

      - #### Parameters

        - ##### previousValue: TableItem

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns TableItem

  - ##### initialValue: TableItem

  #### Returns TableItem

- Inherited from Array.reduce

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1329

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: U, currentValue: TableItem, currentIndex: number, array: TableItem[]): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns U

  - ##### initialValue: U

  #### Returns U

### reduceRight

- reduceRight(callbackfn: function): TableItem
- reduceRight(callbackfn: function, initialValue: TableItem): TableItem
- reduceRight<U>(callbackfn: function, initialValue: U): U

- Inherited from Array.reduceRight

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1335

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: TableItem, currentValue: TableItem, currentIndex: number, array: TableItem[]): TableItem

      - #### Parameters

        - ##### previousValue: TableItem

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns TableItem

- Inherited from Array.reduceRight

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1336

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: TableItem, currentValue: TableItem, currentIndex: number, array: TableItem[]): TableItem

      - #### Parameters

        - ##### previousValue: TableItem

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns TableItem

  - ##### initialValue: TableItem

  #### Returns TableItem

- Inherited from Array.reduceRight

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1342

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: U, currentValue: TableItem, currentIndex: number, array: TableItem[]): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: TableItem

        - ##### currentIndex: number

        - ##### array: TableItem[]

        #### Returns U

  - ##### initialValue: U

  #### Returns U

### reverse

- reverse(): TableItem[]

- Inherited from Array.reverse

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1235

  #### Returns TableItem[]

### shift

- shift(): TableItem | undefined

- Inherited from Array.shift

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1239

  #### Returns TableItem | undefined

### slice

- slice(start: number, end: number): TableItem[]

- Inherited from Array.slice

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1245

  #### Parameters

  - ##### Optional start: number

  - ##### Optional end: number

  #### Returns TableItem[]

### some

- some(callbackfn: function, thisArg: any): boolean

- Inherited from Array.some

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1292

  #### Parameters

  - ##### callbackfn: function

    - - (value: TableItem, index: number, array: TableItem[]): boolean

      - #### Parameters

        - ##### value: TableItem

        - ##### index: number

        - ##### array: TableItem[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns boolean

### sort

- sort(compareFn: function): this

- Inherited from Array.sort

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1250

  #### Parameters

  - ##### Optional compareFn: function

    - - (a: TableItem, b: TableItem): number

      - #### Parameters

        - ##### a: TableItem

        - ##### b: TableItem

        #### Returns number

  #### Returns this

### splice

- splice(start: number, deleteCount: number): TableItem[]
- splice(start: number, deleteCount: number, items: TableItem[]): TableItem[]

- Inherited from Array.splice

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1256

  #### Parameters

  - ##### start: number

  - ##### Optional deleteCount: number

  #### Returns TableItem[]

- Inherited from Array.splice

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1263

  #### Parameters

  - ##### start: number

  - ##### deleteCount: number

  - ##### Rest items: TableItem[]

  #### Returns TableItem[]

### toLocaleString

- toLocaleString(): string

- Inherited from Array.toLocaleString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1207

  #### Returns string

### toString

- toString(): string

- Inherited from Array.toString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1203

  #### Returns string

### unshift

- unshift(items: TableItem[]): number

- Inherited from Array.unshift

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1268

  #### Parameters

  - ##### Rest items: TableItem[]

  #### Returns number

### values

- values(): IterableIterator<TableItem>

- Inherited from Array.values

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:67

  #### Returns IterableIterator<TableItem>

Generated using TypeDoc